// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from tuw_geometry_msgs:msg/WeightedPoseWithCovariance.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "tuw_geometry_msgs/msg/weighted_pose_with_covariance.h"


#ifndef TUW_GEOMETRY_MSGS__MSG__DETAIL__WEIGHTED_POSE_WITH_COVARIANCE__STRUCT_H_
#define TUW_GEOMETRY_MSGS__MSG__DETAIL__WEIGHTED_POSE_WITH_COVARIANCE__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'pose'
#include "geometry_msgs/msg/detail/pose__struct.h"

/// Struct defined in msg/WeightedPoseWithCovariance in the package tuw_geometry_msgs.
/**
  * This represents a pose in free space with uncertainty and a scoring weight.
 */
typedef struct tuw_geometry_msgs__msg__WeightedPoseWithCovariance
{
  geometry_msgs__msg__Pose pose;
  /// Row-major representation of the 6x6 covariance matrix
  /// The orientation parameters use a fixed-axis representation.
  /// In order, the parameters are:
  /// (x, y, z, rotation about X axis, rotation about Y axis, rotation about Z axis)
  double covariance[36];
  /// [0, 1] weight of the pose, used for scoring a pose particle
  double weight;
} tuw_geometry_msgs__msg__WeightedPoseWithCovariance;

// Struct for a sequence of tuw_geometry_msgs__msg__WeightedPoseWithCovariance.
typedef struct tuw_geometry_msgs__msg__WeightedPoseWithCovariance__Sequence
{
  tuw_geometry_msgs__msg__WeightedPoseWithCovariance * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} tuw_geometry_msgs__msg__WeightedPoseWithCovariance__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // TUW_GEOMETRY_MSGS__MSG__DETAIL__WEIGHTED_POSE_WITH_COVARIANCE__STRUCT_H_
