// generated from rosidl_generator_cpp/resource/idl__struct.hpp.em
// with input from tuw_geometry_msgs:msg/WeightedPoseWithCovariance.idl
// generated code does not contain a copyright notice

// IWYU pragma: private, include "tuw_geometry_msgs/msg/weighted_pose_with_covariance.hpp"


#ifndef TUW_GEOMETRY_MSGS__MSG__DETAIL__WEIGHTED_POSE_WITH_COVARIANCE__STRUCT_HPP_
#define TUW_GEOMETRY_MSGS__MSG__DETAIL__WEIGHTED_POSE_WITH_COVARIANCE__STRUCT_HPP_

#include <algorithm>
#include <array>
#include <memory>
#include <string>
#include <vector>

#include "rosidl_runtime_cpp/bounded_vector.hpp"
#include "rosidl_runtime_cpp/message_initialization.hpp"


// Include directives for member types
// Member 'pose'
#include "geometry_msgs/msg/detail/pose__struct.hpp"

#ifndef _WIN32
# define DEPRECATED__tuw_geometry_msgs__msg__WeightedPoseWithCovariance __attribute__((deprecated))
#else
# define DEPRECATED__tuw_geometry_msgs__msg__WeightedPoseWithCovariance __declspec(deprecated)
#endif

namespace tuw_geometry_msgs
{

namespace msg
{

// message struct
template<class ContainerAllocator>
struct WeightedPoseWithCovariance_
{
  using Type = WeightedPoseWithCovariance_<ContainerAllocator>;

  explicit WeightedPoseWithCovariance_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : pose(_init)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      std::fill<typename std::array<double, 36>::iterator, double>(this->covariance.begin(), this->covariance.end(), 0.0);
      this->weight = 0.0;
    }
  }

  explicit WeightedPoseWithCovariance_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : pose(_alloc, _init),
    covariance(_alloc)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      std::fill<typename std::array<double, 36>::iterator, double>(this->covariance.begin(), this->covariance.end(), 0.0);
      this->weight = 0.0;
    }
  }

  // field types and members
  using _pose_type =
    geometry_msgs::msg::Pose_<ContainerAllocator>;
  _pose_type pose;
  using _covariance_type =
    std::array<double, 36>;
  _covariance_type covariance;
  using _weight_type =
    double;
  _weight_type weight;

  // setters for named parameter idiom
  Type & set__pose(
    const geometry_msgs::msg::Pose_<ContainerAllocator> & _arg)
  {
    this->pose = _arg;
    return *this;
  }
  Type & set__covariance(
    const std::array<double, 36> & _arg)
  {
    this->covariance = _arg;
    return *this;
  }
  Type & set__weight(
    const double & _arg)
  {
    this->weight = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    tuw_geometry_msgs::msg::WeightedPoseWithCovariance_<ContainerAllocator> *;
  using ConstRawPtr =
    const tuw_geometry_msgs::msg::WeightedPoseWithCovariance_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<tuw_geometry_msgs::msg::WeightedPoseWithCovariance_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<tuw_geometry_msgs::msg::WeightedPoseWithCovariance_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      tuw_geometry_msgs::msg::WeightedPoseWithCovariance_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<tuw_geometry_msgs::msg::WeightedPoseWithCovariance_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      tuw_geometry_msgs::msg::WeightedPoseWithCovariance_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<tuw_geometry_msgs::msg::WeightedPoseWithCovariance_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<tuw_geometry_msgs::msg::WeightedPoseWithCovariance_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<tuw_geometry_msgs::msg::WeightedPoseWithCovariance_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__tuw_geometry_msgs__msg__WeightedPoseWithCovariance
    std::shared_ptr<tuw_geometry_msgs::msg::WeightedPoseWithCovariance_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__tuw_geometry_msgs__msg__WeightedPoseWithCovariance
    std::shared_ptr<tuw_geometry_msgs::msg::WeightedPoseWithCovariance_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const WeightedPoseWithCovariance_ & other) const
  {
    if (this->pose != other.pose) {
      return false;
    }
    if (this->covariance != other.covariance) {
      return false;
    }
    if (this->weight != other.weight) {
      return false;
    }
    return true;
  }
  bool operator!=(const WeightedPoseWithCovariance_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct WeightedPoseWithCovariance_

// alias to use template instance with default allocator
using WeightedPoseWithCovariance =
  tuw_geometry_msgs::msg::WeightedPoseWithCovariance_<std::allocator<void>>;

// constant definitions

}  // namespace msg

}  // namespace tuw_geometry_msgs

#endif  // TUW_GEOMETRY_MSGS__MSG__DETAIL__WEIGHTED_POSE_WITH_COVARIANCE__STRUCT_HPP_
